Package: org.gradle.tooling.model.gradle

## [Java] Interface BuildInvocations

- org.gradle.tooling.model.gradle.BuildInvocations

- All Superinterfaces:
    Model

  A model providing access to Launchable instances that can be used to initiate Gradle build.

  To launch a build, you pass one or more Launchable instances to either BuildLauncher.forTasks or BuildLauncher.forLaunchables.

  Since:
    1.12

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends TaskSelector>` | `getTaskSelectors()` Returns tasks selectors that can be used to execute a build.
    `DomainObjectSet<? extends Task>` | `getTasks()` Returns the tasks that can be used to execute a build.

- - ### Method Detail

    - #### @Incubating public DomainObjectSet<? extends TaskSelector> getTaskSelectors()

      Returns tasks selectors that can be used to execute a build. Selector is a Launchable that requests to build all tasks with a given name in context of some project and all its subprojects.

      Returns:
        The task selectors.
      Since:
        1.12

    - #### @Incubating public DomainObjectSet<? extends Task> getTasks()

      Returns the tasks that can be used to execute a build.

      Returns:
        The tasks.
      Since:
        1.12